Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date: Sat, 07 Apr 2007 11:06:09 -0400
From: Gavin Westermann <gwestermann@...ornet.com>
To: john-users@...ts.openwall.com
Subject: Re: Need help appying a patch to john 1.7.2

Alain Espinosa wrote:

> On 4/6/07, Gavin Westermann <gwestermann@...ornet.com> wrote:
>
>> I wget this file (john-1.7.2-mscash-alainesp-4.1.diff.gz) into the src
>> directory in John 1.7.2, cd to src and run the following command and get
>> the following output. It asks for the file to patch and I give
>> "john.conf" . I have tried several different patches with different
>> versions and get the same or more complex failures.
>
>
>
> 1- Go inside John-1.7.2 directory (outside src)
> 2- decompress john-1.7.2-mscash-alainesp-4.1.diff.gz obtaining
> john-1.7.2-mscash-alainesp-4.1.diff
> 3- patch -p1 < john-1.7.2-mscash-alainesp-4.1.diff
> 4- now compile john normaly
>
Thanks for the reply, I really appreciate it.

Step 3 of this leads back to my original experince. An interaction is 
required, it's asking for the file to patch? What file is it looking for?

Here is the shell as it sits right now after folling your instructions 
above:

e220r% patch -p1 < john-1.7.2-mscash-alainesp-4.1.diff  
  Looks like a unified context diff.
File to patch:

-- 
Gavin Westermann
(Personal account)



-- 
To unsubscribe, e-mail john-users-unsubscribe@...ts.openwall.com and reply
to the automated confirmation request that will be sent to you.

Powered by blists - more mailing lists

Your e-mail address:

Powered by Openwall GNU/*/Linux - Powered by OpenVZ